- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/batchCreate.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/batchCreate.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/batchCreate.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/batchCreate.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/batchCreate.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/batchCreate.md.txt#body.BatchCreateCreativesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/batchCreate.md.txt#body.aspect)
- [CreateCreativeRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/batchCreate.md.txt#CreateCreativeRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/batchCreate.md.txt#CreateCreativeRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.creatives/batchCreate.md.txt#try-it)

Creates `Creative` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/creatives:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `Creatives` will be created. Format: `networks/{networkCode}` The parent field in the CreateCreativeRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`CreateCreativeRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`CreateCreativeRequest`)`` Required. The `Creative` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `creatives.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "creatives": [ { object (`Creative`) } ] } ``` |

| Fields ||
|---|---|
| `creatives[]` | ``object (`Creative`)`` The `Creative` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateCreativeRequest

Request object for `creatives.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "creative": { object (`Creative`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `Creative` will be created. Format: `networks/{networkCode}` |
| `creative` | ``object (`Creative`)`` Required. The `Creative` to create. |